Loading...
Searching...
No Matches
advfs.h File Reference

Go to the source code of this file.

## Functions

int | hfs_btree_search (HfsPrivateFile *b_tree_file, HfsPrivateGenericKey *key, void *record_out, unsigned int record_size, HfsCPrivateLeafRec *record_ref)
unsigned int | hfs_find_start_pack (const PedFileSystem *fs, unsigned int fblock)
void | hfs_free_bad_blocks_list (HfsPrivateLinkExtent *first)
PedSector | hfs_get_empty_end (const PedFileSystem *fs)
int | hfs_is_bad_block (const PedFileSystem *fs, unsigned int fblock)
int | hfs_read_bad_blocks (const PedFileSystem *fs)

## Function Documentation

## hfs_btree_search()

int hfs_btree_search | ( | HfsPrivateFile * | b_tree_file,
|  | HfsPrivateGenericKey * | key,
|  | void * | record_out,
|  | unsigned int | record_size,
|  | HfsCPrivateLeafRec * | record_ref )

## hfs_find_start_pack()

unsigned int hfs_find_start_pack | ( | const PedFileSystem * | fs,
|  | unsigned int | fblock )

## hfs_free_bad_blocks_list()

void hfs_free_bad_blocks_list | ( | HfsPrivateLinkExtent * | first | ) |

## hfs_get_empty_end()

PedSector hfs_get_empty_end | ( | const PedFileSystem * | fs | ) |

## hfs_is_bad_block()

int hfs_is_bad_block | ( | const PedFileSystem * | fs,
|  | unsigned int | fblock )

## hfs_read_bad_blocks()

int hfs_read_bad_blocks | ( | const PedFileSystem * | fs | ) |